DMA_BUF_BEGIN_CPU_AC(9)

NAME
dma_buf_begin_cpu_access - Must be called before accessing a dma_buf from the cpu in the kernel context. Calls begin_cpu_access to allow exporter-specific preparations. Coherency is only guaranteed in the specified range for the specified access direction.

SYNOPSIS

int dma_buf_begin_cpu_access(struct dma_buf * dmabuf, size_t start, size_t len, enum dma_data_direction direction);

ARGUMENTS

dmabuf
    [in] buffer to prepare cpu access for.

start
    [in] start of range for cpu access.

len
    [in] length of range for cpu access.

direction
    [in] length of range for cpu access.

DESCRIPTION

Can return negative error values, returns 0 on success.

COPYRIGHT